| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
visSurvey::ScaleBarDisplay Class Reference
visSurvey

ScaleBar Display. More...

`#include <visscalebardisplay.h>`

Inheritance diagram for visSurvey::ScaleBarDisplay:
[legend]

## Public Member Functions
void | fromPar (const IOPar &)
const mVisTrans * | getDisplayTransformation () const override
double | getLength () const
int | getLineWidth () const
int | getOrientation () const
bool | isOnInlCrl () const
| mCreateDataObj (ScaleBarDisplay)
void | setColors (OD::Color)
void | setDisplayTransformation (const mVisTrans *) override
void | setLength (double)
void | setLineWidth (int)
void | setOnInlCrl (bool)
void | setOrientation (int)
void | toPar (IOPar &) const
Public Member Functions inherited from visSurvey::LocationDisplay
void | allowDoubleClick (bool yn)
bool | allowsPicks () const override
bool | allShown () const
bool | canRemoveSelection () const override
Coord3 | convertCoords (const Coord3 &, bool disptoworld)
bool | displayedOnlyAtSections () const override
const char * | errMsg () const override
void | fillPar (IOPar &) const override
void | fullRedraw (CallBacker *=nullptr)
OD::Color | getColor () const override
NotifierAccess * | getManipulationNotifier () override
uiString | getManipulationString () const override
void | getMousePosInfo (const visBase::EventInfo &, Coord3 &, BufferString &, uiString &) const override
void | getMousePosInfo (const visBase::EventInfo &ei, IOPar &iop) const override
MultiID | getMultiID () const override
void | getObjectInfo (uiString &) const override
SeedPainter * | getPainter ()
const SurveyObject * | getPickedSurveyObject () const
int | getPickIdx (visBase::DataObject *) const
RefMan< Pick::Set > | getSet ()
ConstRefMan< Pick::Set > | getSet () const
const ZAxisTransform * | getZAxisTransform () const override
bool | hasColor () const override
bool | isPainting () const override
bool | isPicking () const override
void | otherObjectsMoved (const ObjectSet< const SurveyObject > &, const VisID &) override
void | removeSelection (const Selector< Coord3 > &, TaskRunner *)
void | setColor (OD::Color) override
void | setDisplayTransformation (const mVisTrans *) override
void | setOnlyAtSectionsDisplay (bool) override
void | setRightHandSystem (bool yn) override
void | setSceneEventCatcher (visBase::EventCatcher *) override
virtual void | setSet (Pick::Set *)
void | setSetMgr (Pick::SetMgr *)
bool | setZAxisTransform (ZAxisTransform *, TaskRunner *) override
void | showAll (bool yn)
void | turnOnSelectionMode (bool) override
bool | usePar (const IOPar &) override
Public Member Functions inherited from visBase::VisualObjectImpl
const Material * | getMaterial () const
Material * | getMaterial () override
bool | isRightHandSystem () const override
NotifierAccess * | materialChange ()
void | readLock ()
void | readUnLock ()
void | setLockable ()
void | setMaterial (Material *) override
void | setRightHandSystem (bool yn) override
bool | tryReadLock ()
bool | tryWriteLock ()
void | writeLock ()
void | writeUnLock ()
Public Member Functions inherited from visBase::VisualObject
NotifierAccess * | deSelection () override
virtual bool | getBoundingBox (Coord3 &min, Coord3 &max) const
NotifierAccess * | rightClicked () override
const EventInfo * | rightClickedEventInfo () const
const TypeSet< VisID > * | rightClickedPath () const override
bool | selectable () const override
NotifierAccess * | selection () override
void | setSelectable (bool yn)
Public Member Functions inherited from visBase::DataObject
template<class T >
T * | addNodeState (T *ns)
void | deSelect () const
void | enableTraversal (unsigned int mask, bool yn=true)
virtual const char * | getClassName () const
SoNode * | getInventorNode ()
const SoNode * | getInventorNode () const
BufferString | getName () const override
NodeState * | getNodeState (int idx)
virtual float | getPixelDensity () const
VisID | id () const
virtual bool | isOK () const
virtual bool | isOn () const
bool | isPickable (bool actively=true) const
virtual bool | isSelected () const
bool | isTraversalEnabled (unsigned int mask) const
const OD::String & | name () const override
osg::Node * | osgNode (bool skipswitch=false)
const osg::Node * | osgNode (bool skipswitch=false) const
NodeState * | removeNodeState (NodeState *)
virtual bool | rightClickable () const
void | select () const
bool | serialize (const char *filename, bool binary=false)
virtual void | setDisplayTransformation (const visBase::Transformation *)
void | setID (const VisID &)
void | setName (const char *) override
void | setName (const uiString &uistr)
void | setPickable (bool actively, bool passively=true)
virtual void | setPixelDensity (float dpi)
void | setUiName (const uiString &)
virtual bool | turnOn (bool yn)
uiString | uiName () const
void | updateSel () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const
Public Member Functions inherited from visSurvey::SurveyObject
virtual void | acceptManipulation ()
virtual bool | addAttrib ()
virtual bool | allowMaterialEdit () const
virtual void | allowShading (bool)
virtual bool | alreadyTransformed (int attrib) const
virtual void | annotateNextUpdateStage (bool yn)
virtual float | calcDist (const Coord3 &pos) const
virtual bool | canAddAttrib (int nrattribstoadd=1) const
virtual bool | canBDispOn2DViewer () const
virtual bool | canBeRemoved () const
virtual bool | canDuplicate () const
virtual bool | canEnableTextureInterpolation () const
virtual bool | canHandleColTabSeqTrans (int) const
virtual bool | canHaveMultipleAttribs () const
virtual bool | canHaveMultipleTextures () const
virtual bool | canRemoveAttrib () const
virtual bool | canResetManipulation () const
virtual bool | canSetColTabSequence () const
virtual bool | canShowTexture () const
virtual void | clearSelections ()
virtual SurveyObject * | duplicate (TaskRunner *) const
virtual void | enableAttrib (int attrib, bool yn)
virtual void | enableEditor (bool yn)
virtual void | enableTextureInterpolation (bool)
const Survey::Geometry3D * | get3DSurvGeom () const
virtual const char * | get3DSurvGeomName () const
virtual OD::Pol2D3D | getAllowedDataType () const
virtual OD::Color | getAnnotColor () const
virtual unsigned char | getAttribTransparency (int) const
virtual AttribFormat | getAttributeFormat (int attrib=-1) const
OD::Color | getBackgroundColor () const
void | getChannelName (int, uiString &) const
virtual visBase::TextureChannels * | getChannels ()
virtual const visBase::TextureChannels * | getChannels () const
virtual visBase::TextureChannel2RGBA * | getChannels2RGBA ()
virtual const visBase::TextureChannel2RGBA * | getChannels2RGBA () const
virtual void | getChildren (TypeSet< VisID > &) const
virtual const ColTab::MapperSetup * | getColTabMapperSetup (int attrib, int version=0) const
virtual const ColTab::Sequence * | getColTabSequence (int) const
virtual ConstRefMan< DataPack > | getDataPack (int attrib) const
virtual DataPackID | getDataPackID (int attrib) const
virtual mDeprecatedObs DataPackMgr::MgrID | getDataPackMgrID () const
virtual Interval< float > | getDataTraceRange () const
virtual ConstRefMan< DataPack > | getDisplayedDataPack (int attrib) const
virtual DataPackID | getDisplayedDataPackID (int attrib) const
virtual ConstRefMan< VolumeDataPack > | getDisplayedVolumeDataPack (int attr) const
virtual ConstRefMan< FlatDataPack > | getFlatDataPack (int attr) const
virtual Pos::GeomID | getGeomID () const
virtual const TypeSet< float > * | getHistogram (int attrib) const
virtual void | getLineWidthBounds (int &min, int &max)
virtual NotifierAccess * | getLockNotifier ()
virtual const MouseCursor * | getMouseCursor () const
virtual NotifierAccess * | getMovementNotifier ()
virtual Coord3 | getNormal (const Coord3 &pos) const
virtual void | getPickingMessage (BufferString &msg) const
virtual ConstRefMan< PointDataPack > | getPointDataPack (int attr) const
virtual bool | getRandomPos (DataPointSet &, TaskRunner *) const
virtual bool | getRandomPosCache (int attrib, DataPointSet &) const
virtual int | getResolution () const
virtual BufferString | getResolutionName (int) const
bool | getSaveInSessionsFlag () const
virtual Scene * | getScene ()
virtual const Scene * | getScene () const
SceneID | getSceneID () const
virtual const Attrib::SelSpec * | getSelSpec (int attrib, int version=-1) const
| version=-1 gives current version
virtual const TypeSet< Attrib::SelSpec > * | getSelSpecs (int attrib) const
virtual void | getTraceKeyPath (TrcKeySet &, TypeSet< Coord > *=nullptr) const
virtual Coord3 | getTranslation () const
virtual TrcKeyZSampling | getTrcKeyZSampling (bool displayspace=false, int attrib=-1) const
int | getUpdateStageNr () const
virtual ConstRefMan< VolumeDataPack > | getVolumeDataPack (int attr) const
virtual bool | hasPosModeManipulator () const
bool | hasSelSpec (const Attrib::SelSpec &, int &attrib, int &version) const
virtual bool | hasSingleColorFallback () const
virtual bool | hasSpecificLineColor () const
virtual bool | hasSpecificMarkerColor () const
virtual bool | isAngle (int attrib) const
bool | isAnyAttribEnabled () const
virtual bool | isAttribEnabled (int attrib) const
virtual bool | isInlCrl () const
virtual bool | isLocked () const
virtual bool | isManipulated () const
virtual bool | isManipulatorShown () const
virtual bool | isVerticalPlane () const
virtual const OD::LineStyle * | lineStyle () const
virtual void | lock (bool yn)
virtual const MarkerStyle3D * | markerStyle () const
virtual float | maxDist () const
virtual int | maxNrAttribs () const
virtual int | nrAttribs () const
virtual int | nrResolutions () const
virtual int | nrTextures (int attrib) const
virtual void | readAuxData ()
virtual bool | removeAttrib (int attrib)
virtual void | resetManipulation ()
virtual int | selectedTexture (int attrib) const
virtual void | selectTexture (int attrib, int texture)
virtual void | set3DSurvGeom (const Survey::Geometry3D *)
virtual void | setAngleFlag (int attrib, bool yn)
virtual void | setAnnotColor (OD::Color)
virtual void | setAttribTransparency (int, unsigned char)
virtual bool | setChannels2RGBA (visBase::TextureChannel2RGBA *)
virtual void | setColTabMapperSetup (int, const ColTab::MapperSetup &, TaskRunner *)
virtual void | setColTabSequence (int, const ColTab::Sequence &, TaskRunner *)
virtual bool | setDataPackID (int attrib, const DataPackID &, TaskRunner *)
virtual bool | setFlatDataPack (int attr, FlatDataPack *, TaskRunner *)
virtual void | setLineStyle (const OD::LineStyle &)
virtual void | setMarkerStyle (const MarkerStyle3D &)
virtual bool | setPointDataPack (int attr, PointDataPack *, TaskRunner *)
virtual bool | setRandomPosData (int attrib, const DataPointSet *, TaskRunner *)
virtual void | setResolution (int, TaskRunner *)
void | setSaveInSessionsFlag (bool yn)
virtual void | setScene (Scene *)
virtual void | setSelSpec (int, const Attrib::SelSpec &)
virtual void | setSelSpecs (int attrib, const TypeSet< Attrib::SelSpec > &)
virtual void | setTranslation (const Coord3 &)
virtual void | setTrcKeyZSampling (const TrcKeyZSampling &)
void | setUserRefs (int attrib, BufferStringSet *nms)
virtual bool | setVolumeDataPack (int attrib, VolumeDataPack *, TaskRunner *)
virtual void | showManipulator (bool yn)
virtual bool | showsTexture () const
virtual void | snapToTracePos (Coord3 &) const
virtual bool | swapAttribs (int a0, int a1)
virtual bool | textureInterpolationEnabled () const
virtual void | updateMouseCursorCB (CallBacker *)
virtual bool | usesColor () const
virtual bool | usesDataPacks () const
virtual bool | usesTexture () const
virtual void | useTexture (bool yn, bool trigger)

## Static Public Member Functions
static RefMan< ScaleBarDisplay > | create ()
Static Public Member Functions inherited from visBase::VisualObjectImpl
static const char * | sKeyIsOn ()
static const char * | sKeyMaterial ()
static const char * | sKeyMaterialID ()
Static Public Member Functions inherited from visBase::DataObject
static osgViewer::CompositeViewer * | getCommonViewer ()
static float | getDefaultPixelDensity ()
static VisID | getID (const osg::Node *)
static bool | isVisualizationThread ()
static void | requestSingleRedraw ()
static void | setCommonViewer (osgViewer::CompositeViewer *)
static void | setDefaultPixelDensity (float)
static void | setVisualizationThread (const void *)
| Call only once from initialization.
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Static Public Member Functions inherited from visSurvey::SurveyObject
static float | sDefMaxDist ()
static const char * | sKeyAttribs ()
static const char * | sKeyColTabID ()
static const char * | sKeyLocked ()
static const char * | sKeyMapper ()
static const char * | sKeyNrAttribs ()
static const char * | sKeyNrVersions ()
static const char * | sKeySelTexture ()
static const char * | sKeySequence ()
static const char * | sKeySurvey ()
static const char * | sKeyTC2RGBA ()
static const char * | sKeyTextTrans ()

## Protected Member Functions
| ~ScaleBarDisplay ()
int | clickedMarkerIndex (const visBase::EventInfo &) const override
RefMan< visBase::VisualObject > | createLocation () const
void | dispChg (CallBacker *) override
void | removePosition (int) override
void | setPosition (int idx, const Pick::Location &, bool add) override
virtual void | setPosition (int, const Pick::Location &)
void | zScaleCB (CallBacker *)
Protected Member Functions inherited from visSurvey::LocationDisplay
| LocationDisplay ()
virtual | ~LocationDisplay ()
bool | addPick (const Coord3 &, const Sphere &, bool)
void | bulkLocChg (CallBacker *cb)
Coord3 | display2World (const Coord3 &) const
virtual bool | draggerNormal () const
const Coord3 | getActivePlaneNormal (const visBase::EventInfo &) const
bool | getPickSurface (const visBase::EventInfo &, Coord3 &pos, Coord3 &normal) const
virtual bool | hasDirection () const
virtual bool | hasText () const
virtual int | isDirMarkerClick (const TypeSet< VisID > &) const
virtual bool | isMarkerClick (const visBase::EventInfo &evi) const
virtual void | locChg (CallBacker *cb)
void | pickCB (CallBacker *cb)
virtual void | redrawMultiSets ()
virtual void | removeAll ()
void | removePick (int, bool setundo=true)
bool | removeSelections (TaskRunner *) override
virtual void | setChg (CallBacker *cb)
virtual void | setDraggerNormal (const Coord3 &)
bool | transformPos (Pick::Location &) const
void | triggerDeSel () override
virtual void | updateDragger ()
Coord3 | world2Display (const Coord3 &) const
Protected Member Functions inherited from visBase::VisualObjectImpl
| VisualObjectImpl (bool selectable)
virtual | ~VisualObjectImpl ()
int | addChild (osg::Node *)
int | childIndex (const osg::Node *) const
void | insertChild (int pos, osg::Node *)
virtual void | materialChangeCB (CallBacker *)
void | removeChild (osg::Node *)
void | setGroupNode (DataObject *)
virtual void | setGroupNode (osg::Group *)
| Must be called during construction.
Protected Member Functions inherited from visBase::VisualObject
| VisualObject (bool selectable=false)
| ~VisualObject ()
void | triggerDeSel () override
void | triggerRightClick (const EventInfo *) override
void | triggerSel () override
Protected Member Functions inherited from visBase::DataObject
| DataObject ()
| ~DataObject ()
void | doAddNodeState (NodeState *)
virtual osg::StateSet * | getStateSet ()
template<class T >
T * | setOsgNode (T *t)
| Must be called during construction.
void | updateNodemask ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)
Protected Member Functions inherited from visSurvey::SurveyObject
| SurveyObject ()
virtual | ~SurveyObject ()
void | initAdaptiveMouseCursor (CallBacker *eventcb, const VisID &, int inplanedragkeys, MouseCursor &)

## Protected Attributes
ConstRefMan< mVisTrans > | displaytransform_
RefMan< visBase::DataObjectGroup > | group_
double | length_ = 1000.
int | linewidth_ = 2
bool | oninlcrl_ = true
int | orientation_ = 0
Protected Attributes inherited from visSurvey::LocationDisplay
bool | allowdoubleclicks_ = true
bool | areallshown_ = true
bool | ctrldown_ = false
RefMan< ZAxisTransform > | datatransform_
RefMan< visBase::EventCatcher > | eventcatcher_
Notifier< LocationDisplay > | manip_
VisID | mousepressid_
RefMan< SeedPainter > | painter_
VisID | pickedsobjid_
| Picked SurveyObject ID.
Pick::SetMgr * | picksetmgr_ = nullptr
bool | selectionmodel_ = false
RefMan< Pick::Set > | set_
bool | showall_ = true
RefMan< Sower > | sower_
MultiID | storedmid_
ConstRefMan< mVisTrans > | transformation_
Coord3 | undoloccoord_ = Coord3::udf()
bool | undomove_ = false
int | voiidx_ = -1
int | waitsfordirectionid_ = -1
int | waitsforpositionid_ = -1
Protected Attributes inherited from visBase::VisualObjectImpl
RefMan< Material > | material_
bool | righthandsystem_ = true
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_
Protected Attributes inherited from visSurvey::SurveyObject
BufferString | errmsg_
bool | locked_ = false
ConstRefMan< Survey::Geometry3D > | s3dgeom_
bool | saveinsessionsflag_ = true
Scene * | scene_ = nullptr
BufferString | survname_
int | updatestagenr_ = 0
ObjectSet< BufferStringSet > | userrefs_
bool | usestexture_ = true
bool | validtexture_ = false

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Types inherited from visSurvey::SurveyObject
enum | AttribFormat { None , Cube , Traces , RandomPos , OtherFormat }
Static Protected Member Functions inherited from visSurvey::LocationDisplay
static const char * | sKeyID ()
static const char * | sKeyMarkerSize ()
static const char * | sKeyMarkerType ()
static const char * | sKeyMgrName ()
static const char * | sKeyShowAll ()
Static Protected Member Functions inherited from visSurvey::SurveyObject
static int | cValNameOffset ()

## Detailed Description

ScaleBar Display.

<>

## Constructor & Destructor Documentation

## ◆ ~ScaleBarDisplay()

visSurvey::ScaleBarDisplay::~ScaleBarDisplay | ( |  | ) |
| protected

## Member Function Documentation

## ◆ clickedMarkerIndex()

int visSurvey::ScaleBarDisplay::clickedMarkerIndex | ( | const visBase::EventInfo & |  | ) | const
| override protected virtual

Reimplemented from visSurvey::LocationDisplay.

## ◆ create()

static RefMan< ScaleBarDisplay > visSurvey::ScaleBarDisplay::create | ( |  | ) |
| static

## ◆ createLocation()

RefMan< visBase::VisualObject > visSurvey::ScaleBarDisplay::createLocation | ( |  | ) | const
| protected

## ◆ dispChg()

void visSurvey::ScaleBarDisplay::dispChg | ( | CallBacker * |  | ) |
| override protected virtual

Reimplemented from visSurvey::LocationDisplay.

## ◆ fromPar()

void visSurvey::ScaleBarDisplay::fromPar | ( | const IOPar & |  | ) |

## ◆ getDisplayTransformation()

const mVisTrans * visSurvey::ScaleBarDisplay::getDisplayTransformation | ( |  | ) | const
| override virtual

All positions going from the outside world to the vis should be transformed with this transform. This enables us to have different coord-systems outside OI, e.g. we can use UTM coords outside the vis without loosing precision in the vis.

Reimplemented from visSurvey::LocationDisplay.

## ◆ getLength()

double visSurvey::ScaleBarDisplay::getLength | ( |  | ) | const

## ◆ getLineWidth()

int visSurvey::ScaleBarDisplay::getLineWidth | ( |  | ) | const

## ◆ getOrientation()

int visSurvey::ScaleBarDisplay::getOrientation | ( |  | ) | const

## ◆ isOnInlCrl()

bool visSurvey::ScaleBarDisplay::isOnInlCrl | ( |  | ) | const

## ◆ mCreateDataObj()

visSurvey::ScaleBarDisplay::mCreateDataObj | ( | ScaleBarDisplay |  | ) |

## ◆ removePosition()

void visSurvey::ScaleBarDisplay::removePosition | ( | int |  | ) |
| override protected virtual

Reimplemented from visSurvey::LocationDisplay.

## ◆ setColors()

void visSurvey::ScaleBarDisplay::setColors | ( | OD::Color |  | ) |

## ◆ setDisplayTransformation()

void visSurvey::ScaleBarDisplay::setDisplayTransformation | ( | const mVisTrans * |  | ) |
| override

## ◆ setLength()

void visSurvey::ScaleBarDisplay::setLength | ( | double |  | ) |

## ◆ setLineWidth()

void visSurvey::ScaleBarDisplay::setLineWidth | ( | int |  | ) |

## ◆ setOnInlCrl()

void visSurvey::ScaleBarDisplay::setOnInlCrl | ( | bool |  | ) |

## ◆ setOrientation()

void visSurvey::ScaleBarDisplay::setOrientation | ( | int |  | ) |

## ◆ setPosition() [1/2]

void visSurvey::ScaleBarDisplay::setPosition | ( | int | idx,
|  | const Pick::Location & | ,
|  | bool | add )
| override protected virtual

Reimplemented from visSurvey::LocationDisplay.

## ◆ setPosition() [2/2]

virtual void visSurvey::ScaleBarDisplay::setPosition | ( | int | ,
|  | const Pick::Location & | )
| protected virtual

## ◆ toPar()

void visSurvey::ScaleBarDisplay::toPar | ( | IOPar & |  | ) | const

## ◆ zScaleCB()

void visSurvey::ScaleBarDisplay::zScaleCB | ( | CallBacker * |  | ) |
| protected

## Member Data Documentation

## ◆ displaytransform_

ConstRefMan<mVisTrans> visSurvey::ScaleBarDisplay::displaytransform_
| protected

## ◆ group_

RefMan<visBase::DataObjectGroup> visSurvey::ScaleBarDisplay::group_
| protected

## ◆ length_

double visSurvey::ScaleBarDisplay::length_ = 1000.
| protected

## ◆ linewidth_

int visSurvey::ScaleBarDisplay::linewidth_ = 2
| protected

## ◆ oninlcrl_

bool visSurvey::ScaleBarDisplay::oninlcrl_ = true
| protected

## ◆ orientation_

int visSurvey::ScaleBarDisplay::orientation_ = 0
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025